std::is_empty< _Tp > Struct Template Reference
Utilities » Metaprogramming

`#include <type_traits>`

Inherits __bool_constant< __is_empty(_Tp)>.

Inherited by std::__is_empty_non_tuple< _Tp >.

## Detailed Description

template<typename _Tp>
struct std::is_empty< _Tp >

is_empty

Definition at line 913 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits